%global momorel 6
%global md5sum_src0 37847626b8e1b53ae79a34714c7b3211

Summary: The Vorbis General Audio Compression Codec
Name: libvorbis
Version: 1.1.2
Release: %{momorel}m%{?dist}
License: Modified BSD
URL: http://www.xiph.org/
Group: System Environment/Libraries
%NoSource 0 http://downloads.xiph.org/releases/vorbis/%{name}-%{version}.tar.gz %{md5sum_src0}
# nightmares...
Patch0: r13149.patch
Patch1: r13151.patch
Patch2: r13153.patch
Patch3: r13154.patch
Patch4: r13155.patch
Patch5: r13160-CVE-2007-3106.patch
Patch6: r13162.patch
Patch7: r13167.patch
Patch8: r13168.patch
Patch9: r13169.patch
Patch10: r13170.patch
Patch11: r13172.patch
Patch12: r13179.patch
Patch13: r13211.patch
Patch14: r13215.patch
Patch15: r13217-CVE-2007-4065.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: libogg >= 1.1.3-2m
BuildRequires: libogg-devel >= 1.1.3-2m
BuildRequires: pkgconfig

%description
Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for audio and music at fixed 
and variable bitrates from 16 to 128 kbps/channel.

%package devel
Summary: Vorbis Library Development
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libogg-devel >= 1.1.2-2m
Requires: pkgconfig

%description devel
The libvorbis-devel package contains the header files and documentation
needed to develop applications with libvorbis.

%prep
%setup -q

# security fix
%patch0 -p0 -b r13149
%patch1 -p0 -b r13151
%patch2 -p0 -b r13153
%patch3 -p0 -b r13154
%patch4 -p0 -b r13155
%patch5 -p0 -b r13160-CVE-2007-3106
%patch6 -p0 -b r13162
%patch7 -p0 -b r13167
%patch8 -p0 -b r13168
%patch9 -p0 -b r13169
%patch10 -p0 -b r13170
%patch11 -p0 -b r13172
%patch12 -p0 -b r13179
%patch13 -p0 -b r13211
%patch14 -p0 -b r13215
%patch15 -p0 -b r13217-CVE-2007-4065

# fix optflags
perl -p -i -e "s/-O20/%{optflags}/" configure
perl -p -i -e "s/-ffast-math//" configure

%build
%configure --includedir=%{_includedir}/vorbis
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# clean up doc
rm -f doc/*/Makefile*

find %{buildroot} -name "*.la" -delete

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/libvorbis.so.*
%{_libdir}/libvorbisfile.so.*
%{_libdir}/libvorbisenc.so.*

%files devel
%defattr(-,root,root)
%doc doc/*.html doc/*.pdf doc/*.png doc/*.txt
%doc doc/vorbisenc doc/vorbisfile doc/xml
%{_datadir}/aclocal/vorbis.m4
%{_includedir}/vorbis
%{_libdir}/pkgconfig/vorbis*.pc
%{_libdir}/libvorbis.a
%{_libdir}/libvorbis.so
%{_libdir}/libvorbisfile.a
%{_libdir}/libvorbisfile.so
%{_libdir}/libvorbisenc.a
%{_libdir}/libvorbisenc.so

%changelog
* Wed Sep 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.2-6m)
- [SECURITY] CVE-2007-4065 CVE-2007-4066
- use RHEL patches
 +* Thu Aug  9 2007 Behdad Esfahbod <besfahbo@redhat.com> - 1:1.1.0-2.el4.5
 +- Add 16 patches to fix various CVEs.
 +- Resolves: #250617
- remove conflicting libvorbis-1.1.2-CVE-3106-4029.patch

* Wed Sep 12 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.2-5m)
- [SECURITY] CVE-2007-3106 CVE-2007-4029
- import libvorbis-1.1.2-CVE-3106-4029.patch from gentoo
 +- 20 Aug 2007; Markus Ullmann <jokey@gentoo.org> libvorbis-1.1.2-r1.ebuild:
 +- Stable on x86 wrt security bug #186716
- remove merged libvorbis-CVE-2007-3106.patch

* Thu Aug  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.2-4m)
- [SECURITY] CVE-2007-3106

* Wed Mar 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.2-3m)
- libvorbis-devel Requires: pkgconfig

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.2-2m)
- delete libtool library

* Thu Dec  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.2-1m)
- version 1.1.2

* Fri Nov 11 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.1-1m)
- version 1.1.1

* Sat Nov 27 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.0-1m)
- ver up
- change URL

* Tue Aug 31 2004 Shotaro Kamio <skamio@momonga-linux.org>
- (1.0.1-1m)
- ver up

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0-5m)
- revised spec for enabling rpm 4.2.

* Wed Jul 31 2002 Kentarou SHINOHARA <puntium@momonga-linux.org>
- (1.0-4m)
- specfile revisions, devel package requires libvorbis, not libvorbis-devel
- removed unnecessary defines

* Mon Jul 29 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (1.0-3m)
- License: LGPL -> Modified BSD.

* Fri Jul 19 2002 Kentarou SHINOHARA <puntium@momonga-linux.org>
- (1.0-2m)
- changed requires to libogg >= 1.0-1m
- changed buildprereq to libogg-devel >= 1.0-1m

* Fri Jul 19 2002 Kentarou SHINOHARA <puntium@momonga-linux.org>
- (1.0-1m)
- update to final 1.0 version

* Tue Mar 19 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.0-0.0030002k)
  update to 1.0rc3

* Thu Oct 18 2001 Toru Hoshina <t@kondara.org>
- (1.0-0.0005002k)
- rc2.

* Mon Sep 10 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- Change Group

* Tue Jan 16 2001 Kenichi Matsubara <m@kondara.org>
- (1.0-0.0003005k)
- %defattr(-,root,root).

* Mon Dec 11 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- to NoSource(source from http://www.vorbis.com/download.new.html)
- TAG changed (Copyright -> License)

* Sat Oct 21 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created
